import request from '@/config/axios'
// 查询列表
export const getProductPage = async (params) => {
  return await request.get({ url: '/admin-api/crm/erp-product/page', params })
}

// 查询详情
export const getProduct = async (id) => {
  return await request.get({ url: '/admin-api/crm/erp-product/get?id=' + id })
}

// 新增
export const createProduct = async (data) => {
  return await request.post({ url: '/admin-api/crm/erp-product/create', data: data })
}

// 修改
export const updateProduct = async (params) => {
  return await request.put({ url: '/admin-api/crm/erp-product/update', data: params })
}

// 删除
export const deleteProduct = async (id) => {
  return await request.delete({ url: '/admin-api/crm/erp-product/delete?id=' + id })
}

export const getSimpleProductList = async () => {
  return await request.get({ url: '/admin-api/crm/erp-product/simple-list' })
}
